DeepFellow DOCS

Add an episode to the knowledge graph

Add an episode to the project's knowledge graph.

POST
/v1/graph/episodes
Authorization[Bearer <token>]

In: header

Header Parameters

OpenAI-Organization?[Openai-Organization]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[Openai-Project]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

name[Name]

Name of the episode

content[Content]

Episode content

source?[EpisodeSource]

Source type

Default"text"
Value in"message" | "text" | "json"
source_description?[Source Description]

Description of the episode source

Default""
reference_time?[Reference Time]

Reference time for the episode; defaults to now

Response Body

curl -X POST "https://deepfellow-server-host/v1/graph/episodes" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "content": "string"  }'
{
  "uuid": "string",
  "name": "string",
  "group_id": "string",
  "source": "string",
  "source_description": "string",
  "content": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "valid_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.